<?php
/**
 * Template Name: Page with modified head img
 * Template Post Type: page
 *
 */
if (  '' !== get_the_post_thumbnail()   ) :
  add_filter('get_header_image_tag','my_get_header_image_tag');
    function my_get_header_image_tag(){
      echo get_the_post_thumbnail();
    }
endif;

/* This is for large header img.
 * If not prefer, delete below filter and function
 */
add_filter('body_class','my_body_class');
function my_body_class($classes){
  $classes[] = 'twentyseventeen-front-page';
  $classes[] = 'my-head-img-large';
  return $classes;
}

get_header(); ?>

<div class="wrap">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/page/content', 'page' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</div><!-- #primary -->
</div><!-- .wrap -->

<?php get_footer();
